Delete YNAB budget account
curl --request DELETE \
--url https://api.synci.io/api/v1/destinations/ynab/connections/{connectionId}/budgets/{budgetId}/accounts/{budgetAccountId} \
--header 'Authorization: Bearer <token>'const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.synci.io/api/v1/destinations/ynab/connections/{connectionId}/budgets/{budgetId}/accounts/{budgetAccountId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.synci.io/api/v1/destinations/ynab/connections/{connectionId}/budgets/{budgetId}/accounts/{budgetAccountId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.synci.io/api/v1/destinations/ynab/connections/{connectionId}/budgets/{budgetId}/accounts/{budgetAccountId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.synci.io/api/v1/destinations/ynab/connections/{connectionId}/budgets/{budgetId}/accounts/{budgetAccountId}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Delete YNAB budget account
Removes the account from Synci along with its transfer links. The account itself is not affected in YNAB.
DELETE
/
destinations
/
ynab
/
connections
/
{connectionId}
/
budgets
/
{budgetId}
/
accounts
/
{budgetAccountId}
Delete YNAB budget account
curl --request DELETE \
--url https://api.synci.io/api/v1/destinations/ynab/connections/{connectionId}/budgets/{budgetId}/accounts/{budgetAccountId} \
--header 'Authorization: Bearer <token>'const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.synci.io/api/v1/destinations/ynab/connections/{connectionId}/budgets/{budgetId}/accounts/{budgetAccountId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.synci.io/api/v1/destinations/ynab/connections/{connectionId}/budgets/{budgetId}/accounts/{budgetAccountId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.synci.io/api/v1/destinations/ynab/connections/{connectionId}/budgets/{budgetId}/accounts/{budgetAccountId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.synci.io/api/v1/destinations/ynab/connections/{connectionId}/budgets/{budgetId}/accounts/{budgetAccountId}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Authorizations
oauth2http
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The YNAB connection ID
The YNAB budget ID
The YNAB budget account ID
Response
No content